For the complete documentation index, see llms.txt. This page is also available as Markdown.

Business Transaction

Manage business transactions via the VARIO Cloud REST API, including creating, retrieving, updating, and deleting transaction records.

the BusinessTransaction API

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

sortOrderinteger · int64Optional

Sortierung des Geschäftsvorfall

labelstringOptional

Kurze Beschreibung

descriptionstringOptional

Beschreibung des Geschäftsvorfall

get/erp/finance/business_transaction/{id}
GET /erp/finance/business_transaction/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "sortOrder": 1,
  "label": "text",
  "description": "text"
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

sortOrderinteger · int64Optional

Sortierung des Geschäftsvorfall

labelstringOptional

Kurze Beschreibung

descriptionstringOptional

Beschreibung des Geschäftsvorfall

Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

sortOrderinteger · int64Optional

Sortierung des Geschäftsvorfall

labelstringOptional

Kurze Beschreibung

descriptionstringOptional

Beschreibung des Geschäftsvorfall

put/erp/finance/business_transaction/{id}
PUT /erp/finance/business_transaction/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 90

{
  "version": "text",
  "info": {},
  "id": "text",
  "sortOrder": 1,
  "label": "text",
  "description": "text"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "sortOrder": 1,
  "label": "text",
  "description": "text"
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

*/*
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/finance/business_transaction/{id}
DELETE /erp/finance/business_transaction/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Create new Resource

post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

sortOrderinteger · int64Optional

Sortierung des Geschäftsvorfall

labelstringOptional

Kurze Beschreibung

descriptionstringOptional

Beschreibung des Geschäftsvorfall

Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

sortOrderinteger · int64Optional

Sortierung des Geschäftsvorfall

labelstringOptional

Kurze Beschreibung

descriptionstringOptional

Beschreibung des Geschäftsvorfall

post/erp/finance/business_transaction
POST /erp/finance/business_transaction HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 90

{
  "version": "text",
  "info": {},
  "id": "text",
  "sortOrder": 1,
  "label": "text",
  "description": "text"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "sortOrder": 1,
  "label": "text",
  "description": "text"
}

Last updated

Was this helpful?